// Created on: 1995-12-01
// Created by: EXPRESS->CDL V0.2 Translator
// Copyright (c) 1995-1999 Matra Datavision
// Copyright (c) 1999-2014 OPEN CASCADE SAS
//
// This file is part of Open CASCADE Technology software library.
//
// This library is free software; you can redistribute it and/or modify it under
// the terms of the GNU Lesser General Public License version 2.1 as published
// by the Free Software Foundation, with special exception defined in the file
// OCCT_LGPL_EXCEPTION.txt. Consult the file LICENSE_LGPL_21.txt included in OCCT
// distribution for complete text of the license and disclaimer of any warranty.
//
// Alternatively, this file may be used under the terms of Open CASCADE
// commercial license or contractual agreement.

#ifndef _StepShape_VertexPoint_HeaderFile
#define _StepShape_VertexPoint_HeaderFile

#include <Standard.hxx>
#include <Standard_Type.hxx>

#include <StepShape_Vertex.hxx>
class StepGeom_Point;
class TCollection_HAsciiString;


class StepShape_VertexPoint;
DEFINE_STANDARD_HANDLE(StepShape_VertexPoint, StepShape_Vertex)


class StepShape_VertexPoint : public StepShape_Vertex
{

public:

  
  //! Returns a VertexPoint
  Standard_EXPORT StepShape_VertexPoint();
  
  Standard_EXPORT void Init (const Handle(TCollection_HAsciiString)& aName, const Handle(StepGeom_Point)& aVertexGeometry);
  
  Standard_EXPORT void SetVertexGeometry (const Handle(StepGeom_Point)& aVertexGeometry);
  
  Standard_EXPORT Handle(StepGeom_Point) VertexGeometry() const;




  DEFINE_STANDARD_RTTIEXT(StepShape_VertexPoint,StepShape_Vertex)

protected:




private:


  Handle(StepGeom_Point) vertexGeometry;


};







#endif // _StepShape_VertexPoint_HeaderFile
